Bug 65578 - create PEERNIS to prevent dhcpcd clobbering /etc/yp.conf
create PEERNIS to prevent dhcpcd clobbering /etc/yp.conf
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-27 17:09 EDT by Bowe Strickland
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-12 03:08:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bowe Strickland 2002-05-27 17:09:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
When raising a dhcp configured interface, dhcpcd clobbers /etc/yp.conf
with any received NISSERVER information.  If this information is 
partial or incorrect, this can be annoying.  Create a PEERNIS ifcfg
variable, akin to PEERDNS, to allow users to disable this behavior.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.edit /etc/yp.conf
2.ifup eth0 (from server supplying NISDOMAIN)
3.cat /etc/yp.conf
	

Additional info:

patches against initscripts-6.67-1:

--- ifup	Sun May 26 22:55:38 2002
+++ ifup.peernis	Sun May 26 23:15:47 2002
@@ -150,6 +150,10 @@
        PUMPARGS="${PUMPARGS} -d"
        DHCPCDARGS="${DHCPCDARGS} -R"
     fi
+    if [ "${PEERNIS}" = "no" ]; then
+#       PUMPARGS="${PUMPARGS} -?"  #  need to look this up for pump
+       DHCPCDARGS="${DHCPCDARGS} -Y"
+    fi
     echo -n $"Determining IP information for ${DEVICE}..."
 
     # DHCP clients need DNS to be available, and we don't know


--- sysconfig.txt	Mon Mar 25 09:26:55 2002
+++ sysconfig.txt.peernis	Sun May 26 23:12:42 2002
@@ -516,6 +516,10 @@
     PEERDNS=yes|no
       modify /etc/resolv.conf if peer uses msdns extension (PPP only) or
       DNS{1,2} are set, or if using pump or dhcpcd. default to "yes".
+    PEERNIS=yes|no
+      modify /etc/yp.conf when using DHCP configured interfaces if 
+      NISDOMAIN is received from DHCP server.  default to "yes".
+      Currently applies to dhcpcd only.
     DNS{1,2}=<ipaddress>
       provide DNS addresses that are dropped into the resolv.conf
       file if PEERDNS is not set to "no".
Comment 1 Bill Nottingham 2002-09-12 11:06:21 EDT
You can set options for the client with DHCPDARGS.

Note You need to log in before you can comment on or make changes to this bug.